Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Delete an audience
cURL
curl --request DELETE \ --url https://admin.fanfare.io/api/audiences/{audienceId} \ --header 'Authorization: Bearer <token>'
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://admin.fanfare.io/api/audiences/{audienceId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://admin.fanfare.io/api/audiences/{audienceId}" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://admin.fanfare.io/api/audiences/{audienceId}" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "archived": true, "createdAt": "2023-11-07T05:31:56Z", "createdBy": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "DYNAMIC", "description": "<string>", "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "groupName": "<string>", "groupType": "SEGMENTED_VALUE", "iconName": "<string>", "lastRefreshedAt": "2023-11-07T05:31:56Z", "metadata": {}, "primaryExternalId": "<string>", "primaryLastSyncedAt": "2023-11-07T05:31:56Z", "primarySourceVendor": "<string>", "primarySyncSourceId": "<string>", "refreshIntervalSeconds": 123, "updatedAt": "2023-11-07T05:31:56Z", "updatedBy": "<string>" }
{ "error": "validation_error", "issues": [ { "expected": "<string>", "kind": "<string>", "message": "<string>", "path": [ { "input": "<unknown>", "key": "<string>", "origin": "<string>", "type": "<string>" } ], "received": "<string>", "type": "<string>" } ] }
{ "error": "<string>" }
Fanfare secret key. Keep secret credentials on your server.
Audience deleted successfully
1
DYNAMIC
STATIC_LIST
SYNCED_LIST
SEGMENTED_VALUE
RFM
Show child attributes